com.r3corda.contracts.asset / Obligation / Clauses / Net

# Net

`class Net<C : CommandData, P> : NetClause<C, P>`

Clause for supporting netting of obligations.

### Constructors

<init> | `Net()` Clause for supporting netting of obligations.

### Properties

lifecycleClause | `val lifecycleClause: VerifyLifecycle<ContractState, C, Unit, P>`

### Inherited Properties

requiredCommands | `open val requiredCommands: Set<Class<out CommandData>>` Determine whether this clause runs or not

### Functions

toString | `fun toString(): String`
verify | `fun verify(tx: TransactionForContract, inputs: List<ContractState>, outputs: List<ContractState>, commands: List<AuthenticatedObject<C>>, groupingKey: Unit?): Set<C>` Verify the transaction matches the conditions from this clause. For example, a "no zero amount output" clause would check each of the output states that it applies to, looking for a zero amount, and throw IllegalStateException if any matched.